﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Management;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace call_center
{
    public partial class Form1 : Form
    { 
        ShapeFileFeatureLayer worldLayer;
        
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Set the Map Unit. The reason for setting it to DecimalDegrees is that is what the shapefile’s unit of measure is inherently in.
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            // We create a new Layer and pass the path to a Shapefile into its constructor. 
           
            worldLayer = new ShapeFileFeatureLayer(@"..\..\SampleData\Data\Countries02.shp");
            
            // Set the worldLayer with a preset Style, as AreaStyles.Country1 has YellowGreen background and black border, our worldLayer will have the same render style.  
            worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;

            // This setting will apply from ZoonLevel01 to ZoomLevel20, that means we can see the world the same style with ZoomLevel01 all the time no matter how far we zoom out/in. 
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            worldLayer.Open();
            // Create a new Layer Overlay to hold the layer we just created
            LayerOverlay layer1 = new LayerOverlay();
            
            // Add the shapefile layer to the layer overlay
            layer1.Layers.Add(worldLayer);

            // We need to add the layer overlay to Map.
            winformsMap1.Overlays.Add(layer1);

            // Set a proper extent for the Map.  
            winformsMap1.CurrentExtent = new RectangleShape(0, 78, 30, 26);
            worldLayer.Close();
            // We now need to call the Refresh() method of the Map control so that the Map can redraw based on the data that has been provided.
            winformsMap1.Refresh();
        }
    }
}
